summaryrefslogtreecommitdiffstats
path: root/debian/_base/core/tdebase/debian/twin-trinity.postinst
diff options
context:
space:
mode:
authorMichele Calgaro <michele.calgaro@yahoo.it>2020-11-15 21:15:11 +0800
committerMichele Calgaro <michele.calgaro@yahoo.it>2020-11-15 21:15:11 +0800
commit98095beb82f000d888dfa15bada80376c48df837 (patch)
treedadbf7de3432fa5cbf95c42733d19d5cf0508034 /debian/_base/core/tdebase/debian/twin-trinity.postinst
parentf3d5de18f2bdf89d5923d560420ae23cac051cb8 (diff)
downloadtde-packaging-98095beb82f000d888dfa15bada80376c48df837.tar.gz
tde-packaging-98095beb82f000d888dfa15bada80376c48df837.zip
DEB: adjusted to new 'core' folder for main packages.
Signed-off-by: Michele Calgaro <michele.calgaro@yahoo.it>
Diffstat (limited to 'debian/_base/core/tdebase/debian/twin-trinity.postinst')
-rw-r--r--debian/_base/core/tdebase/debian/twin-trinity.postinst42
1 files changed, 42 insertions, 0 deletions
diff --git a/debian/_base/core/tdebase/debian/twin-trinity.postinst b/debian/_base/core/tdebase/debian/twin-trinity.postinst
new file mode 100644
index 000000000..b8273333f
--- /dev/null
+++ b/debian/_base/core/tdebase/debian/twin-trinity.postinst
@@ -0,0 +1,42 @@
+#! /bin/sh
+# postinst script for konqueror
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+
+case "$1" in
+ configure)
+ update-alternatives --install /usr/bin/x-window-manager x-window-manager /opt/trinity/bin/twin 50
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+